A listing of yours
curl --request GET \
--url https://staging.housera.ro/api/v1/account/listings/{code} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/account/listings/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/account/listings/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/account/listings/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"code": "<string>",
"url": "<string>",
"type": "<string>",
"subtype": "<string>",
"transaction": "<string>",
"title": "<string>",
"description": "<string>",
"content_locale": "<string>",
"price": 123,
"currency": "EUR",
"price_period": "total",
"price_declared": {
"amount": 123,
"currency": "<string>"
},
"reserved": true,
"negotiable": true,
"location": {
"country": "<string>",
"county": "<string>",
"city": "<string>",
"area": "<string>",
"lat": 123,
"lng": 123,
"precision": "<string>"
},
"facts": {},
"features": [
"<string>"
],
"images": [
"<string>"
],
"published_at": "<string>",
"updated_at": "<string>",
"attribution": {
"lister": "<string>",
"source": "<string>",
"source_label": "<string>",
"source_external_id": "<string>"
},
"external_ref": "<string>",
"status": "draft",
"moderation": {
"edit_pending": true,
"rejection_reason": "<string>",
"rejection_codes": [
"<string>"
]
},
"media": {
"processing": true
},
"etag": "<string>"
},
"warnings": [
{
"pointer": "<string>",
"code": "<string>"
}
]
}Your Listings
A listing of yours
The listing, with the state, moderation and etag you return in If-Match.
GET
/
account
/
listings
/
{code}
A listing of yours
curl --request GET \
--url https://staging.housera.ro/api/v1/account/listings/{code} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/account/listings/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/account/listings/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/account/listings/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"code": "<string>",
"url": "<string>",
"type": "<string>",
"subtype": "<string>",
"transaction": "<string>",
"title": "<string>",
"description": "<string>",
"content_locale": "<string>",
"price": 123,
"currency": "EUR",
"price_period": "total",
"price_declared": {
"amount": 123,
"currency": "<string>"
},
"reserved": true,
"negotiable": true,
"location": {
"country": "<string>",
"county": "<string>",
"city": "<string>",
"area": "<string>",
"lat": 123,
"lng": 123,
"precision": "<string>"
},
"facts": {},
"features": [
"<string>"
],
"images": [
"<string>"
],
"published_at": "<string>",
"updated_at": "<string>",
"attribution": {
"lister": "<string>",
"source": "<string>",
"source_label": "<string>",
"source_external_id": "<string>"
},
"external_ref": "<string>",
"status": "draft",
"moderation": {
"edit_pending": true,
"rejection_reason": "<string>",
"rejection_codes": [
"<string>"
]
},
"media": {
"processing": true
},
"etag": "<string>"
},
"warnings": [
{
"pointer": "<string>",
"code": "<string>"
}
]
}Authorizations
Authorization: Bearer
Path Parameters
The public code of the listing (8 characters, as in its address on Housera).
Response
Successful.
The result of the request.
Show child attributes
Show child attributes
What was ignored from the request, without rejecting it (a field that does not exist for the listing's type and transaction, an unknown amenity). The request succeeded; check your mapping.
- Option 1
- Option 2
Show child attributes
Show child attributes